Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QFtp.TransferMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QFtp.TransferMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFtp

    public static final class QFtp.TransferMode

extends java.lang.Enum
implements QtEnumerator

FTP works with two socket connections; one for commands and another for transmitting data. While the command connection is always initiated by the client, the second connection can be initiated by either the client or the server.

This enum defines whether the client (Passive mode) or the server (Active mode) should set up the data connection.

See Also:
  Serialized Form

Field Summary
`static QFtp.TransferMode` | `Active` The server connects to the client to transmit its data.
`static QFtp.TransferMode` | `Passive` The client connects to the server to transmit its data.

Method Summary
`static QFtp.TransferMode` | `resolve(int value)` Returns the QFtp$TransferMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.TransferMode` | `valueOf(java.lang.String name)`
`static QFtp.TransferMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Active

    public static final QFtp.TransferMode Active

  The server connects to the client to transmit its data.

### Passive

    public static final QFtp.TransferMode Passive

  The client connects to the server to transmit its data.

Method Detail

### values

    public static QFtp.TransferMode[] values()

### valueOf

    public static QFtp.TransferMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.TransferMode resolve(int value)

  Returns the QFtp$TransferMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD